package corrodias.sr3.save.editor;

import com.stackoverflow.question.number_62289.WinRegistry;
import corrodias.sr3.garage.manager.VehicleInfoParser;
import corrodias.sr3.save.data.ListReader;
import java.io.File;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JFrame;
import javax.swing.ToolTipManager;
import javax.swing.UIManager;

public class Main {

	public static final int majorVersion = 2;
	public static final int minorVersion = 2;

	public static void main(String[] args) {
		Main.setLookAndFeel();
		ToolTipManager.sharedInstance().setDismissDelay(Integer.MAX_VALUE);

		try {
			if (args.length > 1 && args[0].equals("outputnames")) {
				new VehicleInfoParser(args[1]).outputVehicleInfo();
			} else {
				ListReader manager = new ListReader();
				JFrame mainFrame = new MainFrame(manager);
				mainFrame.setVisible(true);
			}
		} catch (Throwable ex) {
			Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
		}
	}

	public static void setLookAndFeel() {
		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (Exception ex) {
		}
	}

	public static File getSavePath() {
		try {
			String value = WinRegistry.readString(
					WinRegistry.HKEY_CURRENT_USER,
					"Software\\Valve\\Steam",
					"SteamPath");

			value += "/userdata";
			List<String> keys = WinRegistry.readStringSubKeys(
					WinRegistry.HKEY_CURRENT_USER,
					"Software\\Valve\\Steam\\Users");
			if (keys.size() > 0) {
				value += "/" + keys.get(0) + "/55230/remote/sr3save_00.sr3s_pc";
			}

			return new File(value);
		} catch (Exception ex) {
			// this function may fail at any point, because it's using an ugly reflection hack
			Logger.getLogger(Main.class.getName()).log(Level.INFO, ex.toString());
		}

		return null;
	}

	private Main() {
	}
}
